View Issue Details

IDProjectCategoryView StatusLast Update
0003499FreeCADFeaturepublic2018-07-26 23:07
ReporterfreedmanAssigned ToKunda1 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0003499: Add Freecad version/platform to the main screen for display
DescriptionLink to discussion: https://forum.freecadweb.org/viewtopic.php?f=8&t=29068

Add Freecad version/platform to the main screen so the user/video/tutorials can see what version/platform is being used all of the time.

The title bar is the best place this especially since the only thing on it typically is the word "Freecad". So, at the top of the screen is the Freecad icon and next to that is the program name "Freecad". I would like to add, in Parenthesis the current version number and maybe a letter (or 2) for platform. It could look something like this:

Freecad (W64 17.13)
This would describe a windows 64-bit system using version 17.13.
If the platform addition is too murky then at least the version #.

Sometimes the OS has issues with using the title bar so maybe this could be a toolbar display or a drop-down menu header, any place really to get it on the screen all the time.

This addition could be so helpful when folks post images and do tutorials. The version/platform info will be right there for all to see.

Thanks for you efforts
Steps To ReproduceN/A
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13452 (Git)
Build type: Release
Branch: master
Hash: 34633c144de9133c1f9aeb7da783f369cae9bfaf
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Activities

normandc

2018-07-21 20:10

manager   ~0011541

This was fixed by commit 9ea0cf5.

Kunda1

2018-07-26 23:07

administrator   ~0011545

Closed

Issue History

Date Modified Username Field Change
2018-06-04 14:57 freedman New Issue
2018-06-06 01:29 Kunda1 Description Updated View Revisions
2018-07-21 20:10 normandc Note Added: 0011541
2018-07-26 23:07 Kunda1 Assigned To => Kunda1
2018-07-26 23:07 Kunda1 Status new => closed
2018-07-26 23:07 Kunda1 Resolution open => fixed
2018-07-26 23:07 Kunda1 Fixed in Version => 0.18
2018-07-26 23:07 Kunda1 Note Added: 0011545